import _baseIsMatch_default from "./_baseIsMatch.js";
import _getMatchData_default from "./_getMatchData.js";
import _matchesStrictComparable_default from "./_matchesStrictComparable.js";
function baseMatches(r) {
	var i = _getMatchData_default(r);
	return i.length == 1 && i[0][2] ? _matchesStrictComparable_default(i[0][0], i[0][1]) : function(n) {
		return n === r || _baseIsMatch_default(n, r, i);
	};
}
var _baseMatches_default = baseMatches;
export { _baseMatches_default as default };
